curl --request POST \
--url https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '{
"metadata": {}
}'import requests
url = "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode"
payload = { "metadata": {} }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode"
payload := strings.NewReader("{\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"partnerSubscriptionId": "<string>",
"partnerCustomerId": "<string>",
"partnerCode": "<string>",
"redemptionCode": "<string>",
"subscriptionId": "<string>",
"productCode": "<string>",
"redemptionCodeExpirationTime": "<string>",
"partnerUrl": "<string>",
"tokenizedPartnerUrl": "<string>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "input-conflict",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}{
"code": "server-feature-not-implemented",
"message": "<string>"
}Request a new redemption code for an inactive entitlement
Request a new redemption code for an inactive entitlement. This API is only available to Resellers.
curl --request POST \
--url https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '{
"metadata": {}
}'import requests
url = "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode"
payload = { "metadata": {} }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode"
payload := strings.NewReader("{\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/redemptionCode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"partnerSubscriptionId": "<string>",
"partnerCustomerId": "<string>",
"partnerCode": "<string>",
"redemptionCode": "<string>",
"subscriptionId": "<string>",
"productCode": "<string>",
"redemptionCodeExpirationTime": "<string>",
"partnerUrl": "<string>",
"tokenizedPartnerUrl": "<string>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "input-conflict",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}{
"code": "server-feature-not-implemented",
"message": "<string>"
}Authorizations
The authorization key obtained from MarketONE.
Headers
The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.
The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.
The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.
The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.
16Path Parameters
Partner Subscription ID
Query Parameters
The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.
16Body
A set of key/value pairs that you can attach to an object. Useful for storing additional information.
Show child attributes
Show child attributes
Response
OK
The information managed in MarketONE about partner service provisioning.
MarketONE partner service provisioning record identifier.
256Unique identifier of the customer account in MarketONE
256Unique identifier of the partner organization in MarketONE
32New redemption code for relinking. Will be sent as part if response if unlinkStatus is COMPLETE. if unlinkStatus is pending, reseller needs to wait for the ResellerInitiatedUnlink event and retrieve this from the event
2048The id of the SLM subscription associated with this partner service.
128Unique identifier of the product in MarketONE
128New redemption code expiration time for relinking. Will be sent as part if response if unlinkStatus is COMPLETE. if unlinkStatus is pending, reseller needs to wait for the ResellerInitiatedUnlink event and retrieve this from the event
The optional response value that identifies the Url where user will be directed.Will be sent as part if response if unlinkStatus is COMPLETE. if unlinkStatus is pending, reseller needs to wait for the ResellerInitiatedUnlink event and retrieve this from the event
2048The optional response value that identifies the complete one click url that can be used by the user for activation of his partner subscription. Will be sent as part if response if unlinkStatus is COMPLETE. if unlinkStatus is pending, reseller needs to wait for the ResellerInitiatedUnlink event and retrieve this from the event
2048Was this page helpful?

